Python 3.3 support is being dropped since OpenStack Liberty.

Bug #1526170 reported by Shu Muto on 2015-12-15
6
This bug affects 1 person
Affects Status Importance Assigned to Milestone
Mistral
Undecided
Hardik Parekh
Monasca
In Progress
Undecided
Sai Kiran
Python Jenkins
Undecided
Shu Muto
Python client for HP OneView
Undecided
Shu Muto
Python client library for Sahara
Fix Released
Undecided
Shu Muto
Python client library for Zaqar
Undecided
Shu Muto
Solum
Undecided
yuanying
cloudkitty
Undecided
yuanying
masakari
Low
avnish
os-testr
Undecided
Shu Muto
python-cinderclient
Undecided
Shu Muto
python-congressclient
Undecided
Shu Muto
python-ironicclient
Fix Released
Low
Shu Muto
python-keystoneclient-kerberos
Undecided
Shu Muto
python-magnumclient
Low
Shu Muto
python-manilaclient
Undecided
Shu Muto
python-mistralclient
Undecided
Shu Muto
python-neutronclient
Undecided
Shu Muto
python-novaclient
Undecided
Shu Muto
python-scciclient
Undecided
Shu Muto
python-solumclient
Undecided
Shu Muto
python-swiftclient
Undecided
Shu Muto
python-tackerclient
Low
Shu Muto
python-troveclient
Undecided
Shu Muto
python-watcherclient
Undecided
Shu Muto
tripleo
Undecided
Shu Muto

Bug Description

It is written in the following URL.

https://wiki.openstack.org/wiki/Python3#Python_2:_Python_2.6_support_dropped.2C_Python_2.7_only

And already the infra team and the oslo team are dropping py33 support from their projects.

Since we rely on oslo for a lot of our work, and depend on infra for our CI, we should drop py33 support too.

Shu Muto (shu-mutou) on 2015-12-15
Changed in python-magnumclient:
assignee: nobody → Shu Muto (shu-mutou)
status: New → In Progress
Shu Muto (shu-mutou) on 2015-12-15
Changed in python-cinderclient:
assignee: nobody → Shu Muto (shu-mutou)
status: New → In Progress
Shu Muto (shu-mutou) on 2015-12-15
Changed in python-novaclient:
assignee: nobody → Shu Muto (shu-mutou)
status: New → In Progress
Shu Muto (shu-mutou) on 2015-12-15
Changed in python-neutronclient:
assignee: nobody → Shu Muto (shu-mutou)
status: New → In Progress
Shu Muto (shu-mutou) on 2015-12-15
Changed in python-saharaclient:
assignee: nobody → Shu Muto (shu-mutou)
status: New → In Progress
Shu Muto (shu-mutou) on 2015-12-15
Changed in python-swiftclient:
assignee: nobody → Shu Muto (shu-mutou)
status: New → In Progress
Shu Muto (shu-mutou) on 2015-12-15
Changed in python-troveclient:
assignee: nobody → Shu Muto (shu-mutou)
status: New → In Progress
Shu Muto (shu-mutou) on 2015-12-15
Changed in python-ironicclient:
assignee: nobody → Shu Muto (shu-mutou)
status: New → In Progress
Shu Muto (shu-mutou) on 2015-12-15
Changed in python-zaqarclient:
assignee: nobody → Shu Muto (shu-mutou)
status: New → In Progress
Shu Muto (shu-mutou) on 2015-12-15
Changed in python-mistralclient:
assignee: nobody → Shu Muto (shu-mutou)
status: New → In Progress
Shu Muto (shu-mutou) on 2015-12-15
Changed in tripleo:
assignee: nobody → Shu Muto (shu-mutou)
status: New → In Progress
Shu Muto (shu-mutou) on 2015-12-15
Changed in python-manilaclient:
assignee: nobody → Shu Muto (shu-mutou)
status: New → In Progress
Changed in python-jenkins:
assignee: nobody → Shu Muto (shu-mutou)
status: New → In Progress
Shu Muto (shu-mutou) on 2015-12-15
Changed in python-muranoclient:
assignee: nobody → Shu Muto (shu-mutou)
status: New → In Progress
no longer affects: python-muranoclient
Shu Muto (shu-mutou) on 2015-12-15
Changed in python-tuskarclient:
assignee: nobody → Shu Muto (shu-mutou)
status: New → In Progress
Shu Muto (shu-mutou) on 2015-12-15
Changed in python-tackerclient:
assignee: nobody → Shu Muto (shu-mutou)
status: New → In Progress
Shu Muto (shu-mutou) on 2015-12-15
Changed in python-rackclient:
assignee: nobody → Shu Muto (shu-mutou)
status: New → In Progress
no longer affects: python-rackclient
Shu Muto (shu-mutou) on 2015-12-15
Changed in python-scciclient:
assignee: nobody → Shu Muto (shu-mutou)
status: New → In Progress
Shu Muto (shu-mutou) on 2015-12-15
Changed in cloudkitty:
assignee: nobody → Shu Muto (shu-mutou)
status: New → In Progress
Changed in python-solumclient:
assignee: nobody → Shu Muto (shu-mutou)
status: New → In Progress
Shu Muto (shu-mutou) on 2015-12-15
Changed in python-congressclient:
assignee: nobody → Shu Muto (shu-mutou)
status: New → In Progress
Shu Muto (shu-mutou) on 2015-12-15
Changed in python-watcherclient:
assignee: nobody → Shu Muto (shu-mutou)
status: New → In Progress
Shu Muto (shu-mutou) on 2015-12-15
Changed in python-keystoneclient-kerberos:
assignee: nobody → Shu Muto (shu-mutou)
status: New → In Progress
Shu Muto (shu-mutou) on 2015-12-15
Changed in python-oneviewclient:
assignee: nobody → Shu Muto (shu-mutou)
status: New → In Progress
Shu Muto (shu-mutou) on 2015-12-15
Changed in monasca:
assignee: nobody → Shu Muto (shu-mutou)
status: New → In Progress

Reviewed: https://review.openstack.org/257806
Committed: https://git.openstack.org/cgit/openstack/python-watcherclient/commit/?id=dbcc77bc6c7128f812701434316ac7928307370e
Submitter: Jenkins
Branch: master

commit dbcc77bc6c7128f812701434316ac7928307370e
Author: shu-mutou <email address hidden>
Date: Tue Dec 15 19:18:46 2015 +0900

    Drop py33 support

    "Python 3.3 support is being dropped since OpenStack Liberty."
    written in following URL.
    https://wiki.openstack.org/wiki/Python3

    And already the infra team and the oslo team are dropping py33
    support from their projects.

    Since we rely on oslo for a lot of our work, and depend on infra
    for our CI, we should drop py33 support too.

    Change-Id: Ie9ab166c21bf8765b62f9f033d42571538e5f29c
    Closes-Bug: #1526170

Changed in python-watcherclient:
status: In Progress → Fix Released
Dmitry Tantsur (divius) on 2015-12-15
Changed in python-ironicclient:
importance: Undecided → Low

Reviewed: https://review.openstack.org/257811
Committed: https://git.openstack.org/cgit/openstack/python-oneviewclient/commit/?id=6391ecf3165e7fc0cc29b4cd21868a4df3eff7d3
Submitter: Jenkins
Branch: master

commit 6391ecf3165e7fc0cc29b4cd21868a4df3eff7d3
Author: shu-mutou <email address hidden>
Date: Tue Dec 15 19:26:22 2015 +0900

    Drop py26 and py33 support

    As of mitaka, the infra team and oslo team are dropping py26 and
    py33 support. Since we rely on oslo for a lot of our work, and
    depend on infra for our CI, we should drop py26 and py33 support
    too.

    Change-Id: I7b61be5886d3906dec663e6461ab65f9ee85a119
    Closes-Bug: #1519510
    Closes-Bug: #1526170

Changed in python-oneviewclient:
status: In Progress → Fix Released

Reviewed: https://review.openstack.org/257729
Committed: https://git.openstack.org/cgit/openstack/python-ironicclient/commit/?id=a2c7e34f7a019922d218ccf2e3b2ea0c4f69b8ca
Submitter: Jenkins
Branch: master

commit a2c7e34f7a019922d218ccf2e3b2ea0c4f69b8ca
Author: shu-mutou <email address hidden>
Date: Tue Dec 15 17:29:41 2015 +0900

    Drop py33 support

    "Python 3.3 support is being dropped since OpenStack Liberty."
    written in following URL.
    https://wiki.openstack.org/wiki/Python3

    And already the infra team and the oslo team are dropping py33
    support from their projects.

    Since we rely on oslo for a lot of our work, and depend on infra
    for our CI, we should drop py33 support too.

    Change-Id: I73a53c2c16b3bc8d7cf2c2e491e3be4c4d007828
    Closes-Bug: #1526170

Changed in python-ironicclient:
status: In Progress → Fix Released

Reviewed: https://review.openstack.org/257702
Committed: https://git.openstack.org/cgit/openstack/python-novaclient/commit/?id=0a736dd5df30267458532e6b10cddaa1a64fbd17
Submitter: Jenkins
Branch: master

commit 0a736dd5df30267458532e6b10cddaa1a64fbd17
Author: shu-mutou <email address hidden>
Date: Tue Dec 15 16:26:20 2015 +0900

    Drop py33 support

    "Python 3.3 support is being dropped since OpenStack Liberty."
    written in following URL.
    https://wiki.openstack.org/wiki/Python3

    And already the infra team and the oslo team are dropping py33
    support from their projects.

    Since we rely on oslo for a lot of our work, and depend on infra
    for our CI, we should drop py33 support too.

    Change-Id: Ic9d4f64154a5418baa159a4efdcd9dd652d142ff
    Closes-Bug: #1526170

Changed in python-novaclient:
status: In Progress → Fix Released

Reviewed: https://review.openstack.org/257750
Committed: https://git.openstack.org/cgit/openstack/python-manilaclient/commit/?id=10eaad767700ffcbab4b6954546b0ffc99bac5a6
Submitter: Jenkins
Branch: master

commit 10eaad767700ffcbab4b6954546b0ffc99bac5a6
Author: shu-mutou <email address hidden>
Date: Tue Dec 15 18:02:18 2015 +0900

    Drop py33 support

    "Python 3.3 support is being dropped since OpenStack Liberty."
    written in following URL.
    https://wiki.openstack.org/wiki/Python3

    And already the infra team and the oslo team are dropping py33
    support from their projects.

    Since we rely on oslo for a lot of our work, and depend on infra
    for our CI, we should drop py33 support too.

    Change-Id: I34bbced8f72cad0146a0f2bc964b1e093fbf7255
    Closes-Bug: #1526170

Changed in python-manilaclient:
status: In Progress → Fix Released

Reviewed: https://review.openstack.org/257774
Committed: https://git.openstack.org/cgit/openstack/python-scciclient/commit/?id=48aedcf2738ad876365e124a57946a2c263bb528
Submitter: Jenkins
Branch: master

commit 48aedcf2738ad876365e124a57946a2c263bb528
Author: shu-mutou <email address hidden>
Date: Tue Dec 15 18:46:42 2015 +0900

    Drop py33 support

    "Python 3.3 support is being dropped since OpenStack Liberty."
    written in following URL.
    https://wiki.openstack.org/wiki/Python3

    And already the infra team and the oslo team are dropping py33
    support from their projects.

    Since we rely on oslo for a lot of our work, and depend on infra
    for our CI, we should drop py33 support too.

    Change-Id: I13232c482fc49757bdb242591958c180a3b74b3f
    Closes-Bug: #1526170

Changed in python-scciclient:
status: In Progress → Fix Released

Reviewed: https://review.openstack.org/257704
Committed: https://git.openstack.org/cgit/openstack/python-neutronclient/commit/?id=8d1990a6947ceb2c8750a4e32fe158aee98e6824
Submitter: Jenkins
Branch: master

commit 8d1990a6947ceb2c8750a4e32fe158aee98e6824
Author: shu-mutou <email address hidden>
Date: Tue Dec 15 16:28:20 2015 +0900

    Drop py33 support

    "Python 3.3 support is being dropped since OpenStack Liberty."
    written in following URL.
    https://wiki.openstack.org/wiki/Python3

    And already the infra team and the oslo team are dropping py33
    support from their projects.

    Since we rely on oslo for a lot of our work, and depend on infra
    for our CI, we should drop py33 support too.

    Change-Id: Ic3bfd32822a5e55d6d056af163075d9b3bdaabd4
    Closes-Bug: #1526170

Changed in python-neutronclient:
status: In Progress → Fix Released
yuanying (yuanying) on 2015-12-16
Changed in python-magnumclient:
importance: Undecided → Low

Reviewed: https://review.openstack.org/257698
Committed: https://git.openstack.org/cgit/openstack/python-magnumclient/commit/?id=687ab3d4ba97cecc36d8fe54f3a9cff43b8fd5ea
Submitter: Jenkins
Branch: master

commit 687ab3d4ba97cecc36d8fe54f3a9cff43b8fd5ea
Author: shu-mutou <email address hidden>
Date: Tue Dec 15 16:12:09 2015 +0900

    Drop py33 support

    "Python 3.3 support is being dropped since OpenStack Liberty."
    written in following URL.
    https://wiki.openstack.org/wiki/Python3

    And already the infra team and the oslo team are dropping py33
    support from their projects.

    Since we rely on oslo for a lot of our work, and depend on infra
    for our CI, we should drop py33 support too.

    Change-Id: I41d992d3e10d6cee8f215027092e5a1a5612d7be
    Closes-Bug: #1526170

Changed in python-magnumclient:
status: In Progress → Fix Released

Reviewed: https://review.openstack.org/257745
Committed: https://git.openstack.org/cgit/openstack/python-jenkins/commit/?id=dccae5fd10b3d0d76133cfa29c03a7060888a5a9
Submitter: Jenkins
Branch: master

commit dccae5fd10b3d0d76133cfa29c03a7060888a5a9
Author: shu-mutou <email address hidden>
Date: Tue Dec 15 17:57:41 2015 +0900

    Drop py33 support

    "Python 3.3 support is being dropped since OpenStack Liberty."
    written in following URL.
    https://wiki.openstack.org/wiki/Python3

    And already the infra team and the oslo team are dropping py33
    support from their projects.

    Since we rely on oslo for a lot of our work, and depend on infra
    for our CI, we should drop py33 support too.

    Change-Id: Id129b5c418ad49ea805888309d031ff8a9960be9
    Closes-Bug: #1526170

Changed in python-jenkins:
status: In Progress → Fix Released

Reviewed: https://review.openstack.org/257699
Committed: https://git.openstack.org/cgit/openstack/python-cinderclient/commit/?id=614e6a380c33ac34825c94f25d50fcafb3a300e1
Submitter: Jenkins
Branch: master

commit 614e6a380c33ac34825c94f25d50fcafb3a300e1
Author: shu-mutou <email address hidden>
Date: Tue Dec 15 16:17:57 2015 +0900

    Drop py33 support

    "Python 3.3 support is being dropped since OpenStack Liberty."
    written in following URL.
    https://wiki.openstack.org/wiki/Python3

    And already the infra team and the oslo team are dropping py33
    support from their projects.

    Since we rely on oslo for a lot of our work, and depend on infra
    for our CI, we should drop py33 support too.

    Change-Id: Iea4db590139e1a611a5dca72ef3adca187eb541e
    Closes-Bug: #1526170

Changed in python-cinderclient:
status: In Progress → Fix Released

Reviewed: https://review.openstack.org/257740
Committed: https://git.openstack.org/cgit/openstack/python-tripleoclient/commit/?id=cf691fee6918ceb02d9757a54aeac3c640cee4ee
Submitter: Jenkins
Branch: master

commit cf691fee6918ceb02d9757a54aeac3c640cee4ee
Author: shu-mutou <email address hidden>
Date: Tue Dec 15 17:45:31 2015 +0900

    Drop py33 support

    "Python 3.3 support is being dropped since OpenStack Liberty."
    written in following URL.
    https://wiki.openstack.org/wiki/Python3

    And already the infra team and the oslo team are dropping py33
    support from their projects.

    Since we rely on oslo for a lot of our work, and depend on infra
    for our CI, we should drop py33 support too.

    Change-Id: I5db42f479849ed7be05ae0a2aa70af04844ef159
    Closes-Bug: #1526170

Changed in tripleo:
status: In Progress → Fix Released

Reviewed: https://review.openstack.org/257706
Committed: https://git.openstack.org/cgit/openstack/python-saharaclient/commit/?id=dc669f23d4db96183a2c52ae8f1494656ec043c1
Submitter: Jenkins
Branch: master

commit dc669f23d4db96183a2c52ae8f1494656ec043c1
Author: shu-mutou <email address hidden>
Date: Tue Dec 15 16:33:51 2015 +0900

    Drop py33 support

    "Python 3.3 support is being dropped since OpenStack Liberty."
    written in following URL.
    https://wiki.openstack.org/wiki/Python3

    And already the infra team and the oslo team are dropping py33
    support from their projects.

    Since we rely on oslo for a lot of our work, and depend on infra
    for our CI, we should drop py33 support too.

    Change-Id: Iea8d14b88cf915a481d7e4f67d2db0281a6ea781
    Closes-Bug: #1526170

Changed in python-saharaclient:
status: In Progress → Fix Released

Reviewed: https://review.openstack.org/257807
Committed: https://git.openstack.org/cgit/openstack/python-keystoneclient-kerberos/commit/?id=09952543e6d1de1fb172515d728328efc63ad294
Submitter: Jenkins
Branch: master

commit 09952543e6d1de1fb172515d728328efc63ad294
Author: shu-mutou <email address hidden>
Date: Tue Dec 15 19:21:33 2015 +0900

    Drop py33 support

    "Python 3.3 support is being dropped since OpenStack Liberty."
    written in following URL.
    https://wiki.openstack.org/wiki/Python3

    And already the infra team and the oslo team are dropping py33
    support from their projects.

    Since we rely on oslo for a lot of our work, and depend on infra
    for our CI, we should drop py33 support too.

    Change-Id: I88c762d8457a721bc900bf47171ff77ad221062c
    Closes-Bug: #1526170

Changed in python-keystoneclient-kerberos:
status: In Progress → Fix Released

Reviewed: https://review.openstack.org/257730
Committed: https://git.openstack.org/cgit/openstack/python-zaqarclient/commit/?id=d49cdd817080892b20be6ba7488eefdac13b5607
Submitter: Jenkins
Branch: master

commit d49cdd817080892b20be6ba7488eefdac13b5607
Author: shu-mutou <email address hidden>
Date: Tue Dec 15 17:35:50 2015 +0900

    Drop py33 support

    "Python 3.3 support is being dropped since OpenStack Liberty."
    written in following URL.
    https://wiki.openstack.org/wiki/Python3

    And already the infra team and the oslo team are dropping py33
    support from their projects.

    Since we rely on oslo for a lot of our work, and depend on infra
    for our CI, we should drop py33 support too.

    Change-Id: Iadcce946a0e4646c99cf99a9cf4cc207bb40ca8f
    Closes-Bug: #1526170

Changed in python-zaqarclient:
status: In Progress → Fix Released

This issue was fixed in the openstack/python-novaclient 3.1.0 release.

Shu Muto (shu-mutou) on 2015-12-24
Changed in python-magnumclient:
assignee: Shu Muto (shu-mutou) → nobody
assignee: nobody → Shu Muto (shu-mutou)
yuanying (yuanying) on 2015-12-24
Changed in cloudkitty:
assignee: Shu Muto (shu-mutou) → yuanying (ootsuka)
Shu Muto (shu-mutou) on 2015-12-24
Changed in monasca:
assignee: Shu Muto (shu-mutou) → nobody
yuanying (yuanying) on 2015-12-24
Changed in solum:
assignee: nobody → yuanying (ootsuka)

Fix proposed to branch: master
Review: https://review.openstack.org/261171

Changed in solum:
status: New → In Progress
Changed in mistral:
assignee: nobody → hardik (hardik-parekh047)

Fix proposed to branch: master
Review: https://review.openstack.org/261210

Changed in mistral:
status: New → In Progress

Reviewed: https://review.openstack.org/257786
Committed: https://git.openstack.org/cgit/openstack/python-solumclient/commit/?id=431369ba23a94d7978011e19de2be25f53b68f52
Submitter: Jenkins
Branch: master

commit 431369ba23a94d7978011e19de2be25f53b68f52
Author: shu-mutou <email address hidden>
Date: Tue Dec 15 18:56:05 2015 +0900

    Drop py33 support

    "Python 3.3 support is being dropped since OpenStack Liberty."
    written in following URL.
    https://wiki.openstack.org/wiki/Python3

    And already the infra team and the oslo team are dropping py33
    support from their projects.

    Since we rely on oslo for a lot of our work, and depend on infra
    for our CI, we should drop py33 support too.

    Change-Id: I655bd6ea2144c7d00bc4d1f4373ecb1639ec2966
    Closes-Bug: #1526170

Changed in python-solumclient:
status: In Progress → Fix Released

Reviewed: https://review.openstack.org/261210
Committed: https://git.openstack.org/cgit/openstack/mistral/commit/?id=9b49804d3ba59b522005bdfde74e88b69230732c
Submitter: Jenkins
Branch: master

commit 9b49804d3ba59b522005bdfde74e88b69230732c
Author: hparekh <email address hidden>
Date: Thu Dec 24 16:30:56 2015 +0900

    Drop py33 support

    "Python 3.3 support is being dropped since OpenStack Liberty."
    written in following URL. https://wiki.openstack.org/wiki/Python3
    And already the infra team and the oslo team are dropping py33
    support from their projects.

    Change-Id: Idecb51c1cfdbfa15729a7a5ccd0a473e9860f1fe
    Closes-Bug: #1526170

Changed in mistral:
status: In Progress → Fix Released
Sai Kiran (saikiran) on 2016-01-05
Changed in monasca:
assignee: nobody → Sai Kiran (saikiran)

Reviewed: https://review.openstack.org/257713
Committed: https://git.openstack.org/cgit/openstack/python-troveclient/commit/?id=5ff8979c48eb48db0123aeeb8a4c629859886a6e
Submitter: Jenkins
Branch: master

commit 5ff8979c48eb48db0123aeeb8a4c629859886a6e
Author: shu-mutou <email address hidden>
Date: Tue Dec 15 17:12:33 2015 +0900

    Drop py33 support

    "Python 3.3 support is being dropped since OpenStack Liberty."
    written in following URL.
    https://wiki.openstack.org/wiki/Python3

    And already the infra team and the oslo team are dropping py33
    support from their projects.

    Since we rely on oslo for a lot of our work, and depend on infra
    for our CI, we should drop py33 support too.

    Change-Id: I37a08fc005ec78031e582721a5e472348ee5324c
    Closes-Bug: #1526170

Changed in python-troveclient:
status: In Progress → Fix Released

Change abandoned by Gauvain Pocentek (<email address hidden>) on branch: master
Review: https://review.openstack.org/261159
Reason: Duplicate of https://review.openstack.org/#/c/260760

Reviewed: https://review.openstack.org/261202
Committed: https://git.openstack.org/cgit/openstack/mistral-extra/commit/?id=9ea6b9a28b3317555d22ba99873e8fd554569c49
Submitter: Jenkins
Branch: master

commit 9ea6b9a28b3317555d22ba99873e8fd554569c49
Author: hparekh <email address hidden>
Date: Thu Dec 24 15:47:56 2015 +0900

    Drop py33 support.

    "Python 3.3 support is being dropped since OpenStack Liberty."
    written in following URL. https://wiki.openstack.org/wiki/Python3
    And already the infra team and the oslo team are dropping py33
    support from their projects.

    Change-Id: I9d98db15a1176254708926cbe68b8091ebbb2b14
    Closes-Bug: #1526170

Reviewed: https://review.openstack.org/257802
Committed: https://git.openstack.org/cgit/openstack/python-congressclient/commit/?id=83dae4828d36b2d08629ecdb8073e3d328f3bdf7
Submitter: Jenkins
Branch: master

commit 83dae4828d36b2d08629ecdb8073e3d328f3bdf7
Author: shu-mutou <email address hidden>
Date: Tue Dec 15 19:09:35 2015 +0900

    Drop py26 and py33 support

    As of mitaka, the infra team and oslo team are dropping py26 and
    py33 support. Since we rely on oslo for a lot of our work, and
    depend on infra for our CI, we should drop py26 and py33 support
    too.

    Change-Id: I470d626f7641323a7ce9faf00ea2923312e596af
    Closes-Bug: #1519510
    Closes-Bug: #1526170

Changed in python-congressclient:
status: In Progress → Fix Released

This issue was fixed in the openstack/python-neutronclient 4.0.0 release.

Akihiro Motoki (amotoki) on 2016-01-11
Changed in python-neutronclient:
milestone: none → 4.0.0

This issue was fixed in the openstack/python-manilaclient 1.6.0 release.

Reviewed: https://review.openstack.org/261171
Committed: https://git.openstack.org/cgit/openstack/solum/commit/?id=084101ac51db8560d6edbbbe93ce63afb37c3aa7
Submitter: Jenkins
Branch: master

commit 084101ac51db8560d6edbbbe93ce63afb37c3aa7
Author: OTSUKA, Yuanying <email address hidden>
Date: Thu Dec 24 14:52:27 2015 +0900

    Drop py33 support

    "Python 3.3 support is being dropped since OpenStack Liberty."
    written in following URL.
    https://wiki.openstack.org/wiki/Python3

    And already the infra team and the oslo team are dropping py33
    support from their projects.

    Since we rely on oslo for a lot of our work, and depend on infra
    for our CI, we should drop py33 support too.

    Change-Id: I453abf7ed4ff7ed0996bfb1578e68a791c3b40a5
    Closes-Bug: #1526170

Changed in solum:
status: In Progress → Fix Released

Reviewed: https://review.openstack.org/266112
Committed: https://git.openstack.org/cgit/openstack/instack-undercloud/commit/?id=52dade19eedfdaaa67db6683b097e2d69a0b8751
Submitter: Jenkins
Branch: master

commit 52dade19eedfdaaa67db6683b097e2d69a0b8751
Author: reedip <email address hidden>
Date: Tue Jan 12 11:53:50 2016 +0900

    Remove Py33 support

    As per [1], Python 3.3 support is being dropped
    by INFRA team. This patch is updating the same.

    [1]: https://wiki.openstack.org/wiki/Python3#Python_2:_Python_2.6_support_dropped.2C_Python_2.7_only

    Change-Id: I89a431cc831c361fa3e261650925cc1dbf898941
    Closes-Bug: #1526170

This issue was fixed in the openstack/mistral 2.0.0.0b2 development milestone.

This issue was fixed in the openstack/mistral-extra 2.0.0.0b2 development milestone.

Change abandoned by Ben Nemec (<email address hidden>) on branch: master
Review: https://review.openstack.org/257754
Reason: As Dougal notes, this has been retired so it can't merge anymore.

Shu Muto (shu-mutou) on 2016-01-26
Changed in os-testr:
assignee: nobody → Shu Muto (shu-mutou)
status: New → In Progress
Dougal Matthews (d0ugal) on 2016-01-27
no longer affects: python-tuskarclient

This issue was fixed in the openstack/python-troveclient 2.0.0 release.

This issue was fixed in the openstack/python-ironicclient 1.1.0 release.

This issue was fixed in the openstack/osprofiler 1.0.0 release.

This issue was fixed in the openstack/pycadf 2.1.0 release.

This issue was fixed in the openstack/python-saharaclient 0.12.0 release.

Reviewed: https://review.openstack.org/266116
Committed: https://git.openstack.org/cgit/openstack/instack/commit/?id=0792258fa3ccc37982187be4501899cca6fd57b5
Submitter: Jenkins
Branch: master

commit 0792258fa3ccc37982187be4501899cca6fd57b5
Author: reedip <email address hidden>
Date: Tue Jan 12 12:06:57 2016 +0900

    Remove Py33 support

    Python 3.3 support is being dropped from Mitaka
    by INFRA team. This patch is updating the same.

    Change-Id: I0364eea97df29090901b55cac1146d10ecf162b2
    Closes-Bug: #1526170

This issue was fixed in the openstack/python-mistralclient 2.0.0 release.

Reviewed: https://review.openstack.org/257707
Committed: https://git.openstack.org/cgit/openstack/python-swiftclient/commit/?id=f95de16875b0f78013c5dccec3b50909fb95c914
Submitter: Jenkins
Branch: master

commit f95de16875b0f78013c5dccec3b50909fb95c914
Author: shu-mutou <email address hidden>
Date: Tue Dec 15 16:37:34 2015 +0900

    Drop py33 support

    "Python 3.3 support is being dropped since OpenStack Liberty."
    written in following URL.
    https://wiki.openstack.org/wiki/Python3

    And already the infra team and the oslo team are dropping py33
    support from their projects.

    Since we rely on oslo for a lot of our work, and depend on infra
    for our CI, we should drop py33 support too.

    Change-Id: Ia8f2b26e446175b0d892a11952ef3dc11dcdc73c
    Closes-Bug: #1526170

Changed in python-swiftclient:
status: In Progress → Fix Released

This issue was fixed in the openstack/python-cinderclient 1.6.0 release.

This issue was fixed in the openstack/python-solumclient 2.0.0 release.

This issue was fixed in the openstack/solum 4.1.0 release.

This issue was fixed in the openstack/python-glanceclient 2.0.0 release.

This issue was fixed in the openstack/python-swiftclient 3.0.0 release.

This issue was fixed in the openstack/python-zaqarclient 1.0.0 release.

This issue was fixed in the openstack/python-cloudkittyclient 0.5.0 release.

Changed in python-tackerclient:
importance: Undecided → Low

This issue was fixed in the openstack/python-tackerclient 0.3.0 release.

Reviewed: https://review.openstack.org/264521
Committed: https://git.openstack.org/cgit/openstack/os-testr/commit/?id=7ac7fc457beaefc948bf05346a811aba5abd8fb0
Submitter: Jenkins
Branch: master

commit 7ac7fc457beaefc948bf05346a811aba5abd8fb0
Author: Shu Muto <email address hidden>
Date: Thu Jan 7 02:40:06 2016 +0000

    remove python 3.3 trove classifier

    OpenStack projects are no longer being tested under Python 3.3, so
    remove the trove classifier implying that this project supports 3.3.

    Change-Id: Ic189fc1f4159459457bf9ca0e55969f6b17b2d8e
    Closes-Bug: #1526170

Changed in os-testr:
status: In Progress → Fix Released

This issue was fixed in the openstack/doc8 0.7.0 release.

This issue was fixed in the openstack/python-keystoneclient-kerberos 0.3.0 release.

This issue was fixed in the openstack/os-cloud-config 5.0.0.0b1 development milestone.

This issue was fixed in the openstack/instack 5.0.0.0b1 development milestone.

Sridhar Ramaswamy (srics-r) wrote :
Changed in python-tackerclient:
status: In Progress → Fix Released

This issue was fixed in the openstack/networking-calico 1.2.0 release.

Changed in python-mistralclient:
status: In Progress → Fix Released
Changed in masakari:
assignee: nobody → avnish (avnish-palmca)
importance: Undecided → Low
status: New → In Progress

Reviewed: https://review.openstack.org/373086
Committed: https://git.openstack.org/cgit/openstack/masakari/commit/?id=630b009384baf37443c5caa3453572871cb7025d
Submitter: Jenkins
Branch: master

commit 630b009384baf37443c5caa3453572871cb7025d
Author: avnish <email address hidden>
Date: Tue Sep 20 14:51:49 2016 +0530

    py33 is no longer supported by Infra's CI

    Python 3.3 support would be dropped by
    Infra team from mitaka,CI would no longer be testing it,
    so projects should drop it also.

    Change-Id: I4fc9589b181a8dc2f5879573e39ca7fee6083452
    Closes-Bug: #1526170

Changed in masakari:
status: In Progress → Fix Released

This issue was fixed in the openstack/python-cinderclient 1.6.0 release.

This issue was fixed in the openstack/python-cloudkittyclient 0.5.0 release.

This issue was fixed in the openstack/python-mistralclient 2.0.0 release.

This issue was fixed in the openstack/python-swiftclient 3.0.0 release.

This issue was fixed in the openstack/python-zaqarclient 1.0.0 release.

This issue was fixed in the openstack/instack 5.0.0 release.

This issue was fixed in the openstack/django-openstack-auth-kerberos 0.3.0 release.

This issue was fixed in the openstack/instack 5.0.0 release.

This issue was fixed in the openstack/vitrage-dashboard 1.2.0 release.

To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers